%global momorel 9
%global honokaver 0.9.1
%global honokarel 13m

Summary: A Hiragana input plugin for honoka
Name: honoka-plugin-kanainput
Version: 0.9.1
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/System
URL: http://sourceforge.jp/projects/scim-imengine/
Source0: http://nop.net-p.org/files/honoka/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: honoka-devel >= %{honokaver}-%{honokarel}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: automake19
BuildRequires: libtool-ltdl-devel

%description
A Hiragana input plugin for honoka.


%prep
%setup -q

cp -f /usr/share/automake-1.9/mkinstalldirs .

%build
[[ -f configure ]] || ./bootstrap

%configure
# (tv) parallel build is broken:
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# remove devel files
rm -f %{buildroot}/%{_libdir}/scim-1.0/1.4.0/honoka/*.{a,la}

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{_libdir}/scim-1.0/1.4.0/honoka/*.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-9m)
- full rebuild for mo7 release

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-8m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.1-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.1-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-4m)
- %%NoSource -> NoSource

* Mon Oct 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-3m)
- update honoka_version

* Wed Oct 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.1-2m)
- modify %%files (for scim-1.4.5)

* Mon Jul  3 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-1m)
- Initial commit Momonga Linux

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdv2007.0
- first spec for Mandriva Linux
